View Issue Details

IDProjectCategoryView StatusLast Update
14330Bug reports[All Projects] Theme editorpublic2018-12-13 21:10
ReporterlemeurtAssigned Tolemeur 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14330: Renaming a template with inheritance (children) will break surveys using the inherited template
Description

The Template.php model renaming function doesn't propagate to templates bound to the template by an extends dependency.

I'll submit a pull request in a few seconds.

Steps To Reproduce

Create Template TPL1
Extends TPL1 to TPL2
Assign TPL2 to a survey
Rename TPL1
Test survey and survey admin pages

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.15.5+181115
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysql
Server OS (if known)
Webserver software & version (if known)
PHP Versionphp7

Relationships

related to 14208 new Feature requests A way to update "parent template" 

Activities

lemeurt

lemeurt

2018-12-07 23:53

reporter   ~49910

Pull request submitted.

DenisChenu

DenisChenu

2018-12-12 23:46

developer   ~49952

https://github.com/LimeSurvey/LimeSurvey/commit/db7b7fe675e469562554a78f888abe25b5aeee63

DenisChenu

DenisChenu

2018-12-13 21:10

developer   ~49959

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28638

Related Changesets

LimeSurvey: master db7b7fe6

2018-12-12 23:44:44

lemeurt


Committer: DenisChenu Details Diff
Fixed issue 14330: Renaming a template with children will break surveys using the inherited template
mod - application/models/Template.php Diff File

Issue History

Date Modified Username Field Change
2018-12-07 23:37 lemeurt New Issue
2018-12-07 23:53 lemeurt Note Added: 49910
2018-12-10 18:10 DenisChenu Relationship added related to 14208
2018-12-12 23:46 DenisChenu Note Added: 49952
2018-12-12 23:47 DenisChenu Assigned To => lemeur
2018-12-12 23:47 DenisChenu Status new => resolved
2018-12-12 23:47 DenisChenu Resolution open => fixed
2018-12-12 23:47 DenisChenu Fixed in Version => 3.15.x
2018-12-13 21:10 DenisChenu Changeset attached => LimeSurvey master db7b7fe6
2018-12-13 21:10 DenisChenu Note Added: 49959